Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038130
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2018-03-14 11:032020-10-19 12:37
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisionc3a604592d8f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038130: support JDK 11

DescriptionSupport Openbravo to be deployed with Java 11 ea.

See: http://wiki.openbravo.com/wiki/Projects:Java_11_Support [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041591 closedcollazoandy4 Localization Pack: Spain Several warnings are shown in the console while compiling with JDK 11 
related to defect 0041802 closedcollazoandy4 Localization Pack: Spain Several warnings are shown in the console while compiling with JDK 11 
related to defect 0041803 closedcollazoandy4 Localization Pack: Spain Several warnings are shown in the console while compiling with JDK 11 
related to defect 0041804 closedcollazoandy4 Localization Pack: Spain Several warnings are shown in the console while compiling with JDK 11 
related to defect 0041805 closedcollazoandy4 Localization Pack: Spain Several warnings are shown in the console while compiling with JDK 11 
has duplicate design defect 0037233 closedplatform Openbravo ERP JDK 9: remove dependency on deprecated modules 
related to feature request 0037083 closedalostale Openbravo ERP support JDK 9 
related to feature request 0031708 closedalostale Openbravo ERP support for JDK 8 
related to design defect 0038152 newplatform Openbravo ERP Fix more javadoc warnings active by default in JDK 9 
related to feature request 0038196 closedplatform Openbravo ERP support for JDK 10 
related to defect 0038214 closedcaristu Openbravo ERP -Xdoclint:-missing is also required to build the javadoc in jdk8 
related to defect 0038737 closedcaristu Openbravo ERP JDK 11: [dep-ann] warning due to ReportingUtils.exportJR method 
related to design defect 0038869 closedcaristu Openbravo ERP JDK 11: jaxbl-impl library should be included in the classpath 
related to design defect 0038892 closedcaristu Openbravo ERP JDK 11: not necessary to include jaxws-api library 
related to defect 0038908 closedTriage Finance Modules Authorize.net Integration module does not compile with JDK 11 
related to defect 0039663 closedjarmendariz Openbravo ERP Build fails with Java11 starting from log4j upgrade 
related to feature request 0040193 closedcaristu Openbravo ERP upgrade Weld to version 3.1.0.Final 
related to defect 0040629 closedalostale Openbravo ERP jdk11+: removal warning in HttpServletCalloutInformationProvider 
related to feature request 0040826 closedplatform Openbravo ERP support JDK 12 and JDK 13 
related to design defect 0039262 closedalostale Openbravo ERP Deprecation warnings on cmdline with java10 compiling src-test 
blocks defect 0039576 closedalostale Openbravo ERP JDK 9+: cannot send email 
blocks feature request 0043719 closedplatform Openbravo ERP increase minimum supported JDK to 11 

-  Notes
(0103383)
hgbot (developer)
2018-03-21 09:35

Repository: erp/devel/pi
Changeset: c3a604592d8f59346c6a17cc7c511566602dc23c
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Mar 21 09:34:31 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c3a604592d8f59346c6a17cc7c511566602dc23c [^]

fixes issue 38130: support JDK 11

---
M build.xml
M legal/Licensing.txt
M src/build.xml
A legal/CDDL-1.0.txt
A legal/CDDL-1.1.txt
A lib/runtime/javax.activation-api-1.2.0.jar
A lib/runtime/javax.annotation-api-1.2.jar
A lib/runtime/javax.xml.soap-api-1.3.7.jar
A lib/runtime/jaxb-api-2.2.12.jar
A lib/runtime/jaxws-api-2.2.12.jar
---
(0103386)
caristu (developer)
2018-03-21 10:12

Updated wiki page with new libraries information: http://wiki.openbravo.com/wiki/Openbravo_Libraries#Java_libraries [^]
(0103389)
hudsonbot (developer)
2018-03-21 16:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/de4da096309b [^]
Maturity status: Test
(0103458)
alostale (developer)
2018-03-23 09:05

reviewed

- Issue History
Date Modified Username Field Change
2018-03-14 11:03 caristu New Issue
2018-03-14 11:03 caristu Assigned To => caristu
2018-03-14 11:03 caristu Modules => Core
2018-03-14 11:03 caristu Triggers an Emergency Pack => No
2018-03-14 11:03 caristu Issue generated from 0037083
2018-03-14 11:37 caristu Relationship added related to 0037083
2018-03-14 11:37 caristu Relationship added related to 0031708
2018-03-14 15:24 shuehner Issue Monitored: shuehner
2018-03-21 09:35 hgbot Checkin
2018-03-21 09:35 hgbot Note Added: 0103383
2018-03-21 09:35 hgbot Status new => resolved
2018-03-21 09:35 hgbot Resolution open => fixed
2018-03-21 09:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c3a604592d8f59346c6a17cc7c511566602dc23c [^]
2018-03-21 09:35 caristu Review Assigned To => alostale
2018-03-21 09:38 caristu Relationship added related to 0038152
2018-03-21 09:41 caristu Relationship added related to 0037233
2018-03-21 10:12 caristu Note Added: 0103386
2018-03-21 16:10 hudsonbot Checkin
2018-03-21 16:10 hudsonbot Note Added: 0103389
2018-03-22 12:18 caristu Relationship added related to 0038196
2018-03-23 09:05 alostale Note Added: 0103458
2018-03-23 09:05 alostale Status resolved => closed
2018-03-23 09:05 alostale Fixed in Version => 3.0PR18Q2
2018-03-23 09:08 alostale Summary support JDK 11 => support JDK 11 ea
2018-03-23 09:08 alostale Description Updated View Revisions
2018-03-26 09:17 caristu Relationship added related to 0038214
2018-04-25 14:01 alostale Relationship replaced has duplicate 0037233
2018-06-12 11:33 caristu Relationship added related to 0038737
2018-07-02 09:20 caristu Relationship added related to 0038869
2018-07-04 18:38 caristu Relationship added related to 0038892
2018-07-06 08:23 alostale Relationship added related to 0038908
2018-11-01 08:36 alostale Summary support JDK 11 ea => support JDK 11
2018-11-01 09:43 alostale Relationship added blocks 0039576
2018-11-21 14:02 jarmendariz Relationship added related to 0039663
2019-03-28 09:47 caristu Relationship added related to 0040193
2019-04-17 09:47 alostale Relationship added related to 0040629
2019-05-17 09:06 alostale Relationship added related to 0040826
2019-09-13 12:37 Sandrahuguet Relationship added related to 0041591
2019-09-13 12:38 Sandrahuguet Relationship added related to 0041802
2019-09-13 12:38 Sandrahuguet Relationship added related to 0041803
2019-09-13 12:38 Sandrahuguet Relationship added related to 0041804
2019-09-13 12:38 Sandrahuguet Relationship added related to 0041805
2020-04-13 11:16 alostale Relationship added blocks 0043719
2020-04-13 11:16 alostale Relationship added related to 0039262
2020-10-19 12:35 shuehner Relationship added depends on 0045244
2020-10-19 12:37 shuehner Relationship deleted depends on 0045244


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker